Subject: Linux 2.1.131 ARM patches released

From: Russell King <[email-masked]>
Date: Sun, 6 Dec 1998 22:19:45 +0000 (GMT)

Hi All,

The ARM patches for 2.1.131 are now on the FTP site.  Note that this patch
doesn't appear to work well on the Corel Netwinders, and I believe that it'll
be unreliable on StrongARM rev. S chips (problem being investigated, but it's
looking like a hardware problem).

On the Dave Gilbert's EBSA285, the kernel is panicing in random places in the
kernel (with some quite entertaining PC and LR values (eg, pc : [<c1b3d22c>]
lr : [<466c6c75>] = fllu ).  However, on my EBSA285 without a Tulip ether card,
all seems well.

This patch has not been tested on:
	Acorn RiscPC
	Acorn A5000 series
	Acorn Archimedes series
	EBSA-110s

Enjoy!
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Tue, 08 Dec 1998 10:32:33 +0100

I've put a patch against Russell's recent 2.1.131 version at:

	ftp://ftp.netwinder.org/users/p/philb/linux-2.1.131-philb-981207.gz

This contains the majority of the changes from my tree at the moment.  
Specifically, it does:

 - CATS and A5000 compilation fixes
 - fix memory.c bug that kills ARM3 machines
 - Acorn console fixes:
   - fbcon penguin works in 4bpp modes (complete with beer!)
   - acornfb autodetects colour depth in use
   - fbcon-mfb doesn't mirror-image everything
   - try a bit harder to get the palette right in 1bpp modes
 - make 21285 serial console selectable when using char1
 - update defconfig: .init defaults to on
 - ioport.c is removed (it was just a waste of space as far as I can tell)
 - ELF auxiliary info reports SA110 as ARMv4, not v3
 - new ARM3 uaccess code
 - floating point avoider treats RFS like WFS
 - use the right code to print `Uncompressing Linux' on 21285 machines
 - miscellaneous smaller things

Some of this code is not quite ready for prime time -- in particular if you 
turn CONFIG_CATS on you may find that the resulting kernel doesn't work 
properly on an EBSA-285.  But maybe some people will find it interesting 
regardless.

Share and enjoy.

p.